Page MenuHomePhabricator

Indented text inside <blockquote>
Closed, ResolvedPublic

Description

Change Iecab69460c6aac36acfe2d9440dc5d3590de8b57 for bug 6200 was somewhat prematurely +2'ed and merged. Subbu has pointed out that another difference between <blockquote> and <div> is that indented content inside <blockquote> is *not* considered to start a <pre>.

This bug seeks to revert that part of the <blockquote> behavior change, since a quick grep through enwiki-20130708 finds that indented text inside <blockquote> is quite common.


Version: unspecified
Severity: critical
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52761

Details

Reference
bz52763

Related Objects

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 2:08 AM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz52763.
cscott created this task.Aug 12 2013, 7:38 PM

Setting to highest priority, as it's a significant parser regression.

Change 78967 had a related patch set uploaded by Subramanya Sastry:
Revert "Make line breaks in <blockquote> behave like <div> (bug 6200)." See bug 52763

https://gerrit.wikimedia.org/r/78967

Change 78967 merged by jenkins-bot:
Revert "Make line breaks in <blockquote> behave like <div> (bug 6200)." See bug 52763

https://gerrit.wikimedia.org/r/78967

The regression patch has been reverted. I'll add the relevant information from here back onto 6200 and reopen it.

Change 78971 had a related patch set uploaded by Cscott:
Indented text in <blockquote> shouldn't create <pre>.

https://gerrit.wikimedia.org/r/78971

Change 78972 had a related patch set uploaded by Cscott:
Make line breaks in <blockquote> behave like <div> (bug 6200).

https://gerrit.wikimedia.org/r/78972

Change 78971 abandoned by Cscott:
Indented text in <blockquote> shouldn't create <pre>.

Reason:
See I3696d4ab7b8ad6ebccf8483d6da1722353c1697d

https://gerrit.wikimedia.org/r/78971

Merging this bug with 6200, as the broken patch for 6200 was reverted.

  • This bug has been marked as a duplicate of bug 6200 ***

Change 78972 merged by jenkins-bot:
Make line breaks in <blockquote> behave like <div> (bug 6200).

https://gerrit.wikimedia.org/r/78972

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 9 2018, 8:39 AM